% author: kaneda
% grafic practica 7
% titol: camp B en del nombre d'espires

\documentclass{standalone}

% Required package
\usepackage{pgfplots}
\usepackage{pgfplotstable}
\pgfplotsset{compat = newest}

\begin{document}

\begin{tikzpicture}
\begin{axis}[
    xmin = 0.5, xmax = 3.5,
    ymin = 0.02, ymax = 0.15,
    width = \textwidth,
    height = \textwidth,
    xtick distance = 1,
    ytick distance = 0.02,
    minor tick num = 2,
    xlabel = {\large Nombre d'espires},
    ylabel = {\large $B$ (mT)},
    legend cell align = {left},
    scaled y ticks = base 10:2,
    legend pos = north west
]

% Plot data
\addplot[
    teal,
    only marks,
    mark size = 0.5mm,
    error bars,
    y dir=both,
    y explicit,
] table[x={espir}, y={b}, y error={ub}] {dades_2.dat};

% Linear regression
\addplot[
    thick,
    orange
] table[
    x = {espir},
    y = {create col/linear regression={y=b}}
] {dades_2.dat};

% Add legend
\addlegendentry{Mesures}
\addlegendentry{
    Regressió lineal
};

\end{axis}
\end{tikzpicture}

\end{document}
